import request from '@/utils/request'



// 获取计划
export function getProductPlans(query) {
  return request({
    url: '/mes/api/getProductPlans',
    method: 'get',
    params: query
  })
}

// 开始/继续
export function startNextProductPlanDetail(query) {
  return request({
    url: '/mes/api/startNextProductPlanDetailAttach',
    method: 'post',
    data: query
  })
}

// 获取信息
export function getNewestProductPlanDetail(query) {
  return request({
    url: '/mes/api/getNewestProductPlanDetailJoinAttach',
    method: 'get',
    params: query
  })
}

// 完成
export function completeProductPlanDetail(query) {
  return request({
    url: '/mes/api/completeProductPlanDetail',
    method: 'post',
    data: query
  })
}

// 获取图纸
export function getPlanDrawings(query) {
  return request({
    url: '/mes/api/getProductPlanDrawings',
    method: 'get',
    params: query
  })
}


//激光切割工位板材入库
export function addRawInstock(data) {
  return request({
    url: '/wms/api/addRawInstock',
    method: 'post',
    data: data
  })
}

//激光切割工位板材出库
export function directRawOutstock(data) {
  return request({
    url: '/wms/api/directRawOutstock',
    method: 'post',
    data: data
  })
}
